document.getElementById('codef_scan_images').addEventListener('click', function () {
    console.log('Scanning images...');
    // Your image scanning logic here
	
	// Disable the button to prevent multiple clicks
	this.disabled = true;
	this.textContent = 'Scanning images...';

	// Make an AJAX request to start the optimization
	fetch(ajaxurl, {
		method: 'POST',
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		body: new URLSearchParams({
			action: 'start_scan_image' // The action name registered in WordPress
		})
	})
	.then(response => response.json())
	.then(data => {
		//location.reload();
		// Check if the response indicates success
		/*if (data.success) {
			alert('Optimization complete!');
		} else {
			alert('Optimization failed.');
		}*/
	})
	.catch(error => console.error('Error:', error))
	.finally(() => {
		// Re-enable the button after completion
		this.disabled = false;
		this.textContent = 'Scan for Images';
	});
});

document.getElementById('codef_optimize_images').addEventListener('click', function() {
	// Disable the button to prevent multiple clicks
	this.disabled = true;
	this.textContent = 'Optimizing...';

	// Make an AJAX request to start the optimization
	fetch(ajaxurl, {
		method: 'POST',
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		body: new URLSearchParams({
			action: 'start_image_optimization' // The action name registered in WordPress
		})
	})
	.then(response => response.json())
	.then(data => {
		//location.reload();
		// Check if the response indicates success
		/*if (data.success) {
			alert('Optimization complete!');
		} else {
			alert('Optimization failed.');
		}*/
	})
	.catch(error => console.error('Error:', error))
	.finally(() => {
		// Re-enable the button after completion
		this.disabled = false;
		this.textContent = 'Run Optimization';
	});
});

document.addEventListener('DOMContentLoaded', function() {
	let currentPage = 1;
    const itemsPerPage = 10;
    const tableBody = document.querySelector('#optimized-images-table-body tbody'); // Make sure this selector is correct
    const currentPageDisplay = document.getElementById('current-page');
	const nextPageButton = document.getElementById('next-page');
    const previousPageButton = document.getElementById('previous-page');

    async function loadPage(page) {
        try {
            const response = await fetch(`${ajaxurl}?action=load_optimized_images&page=${page}&items_per_page=${itemsPerPage}`);
            const data = await response.json();

            if (data.success && data.data.html) {
                // Populate the table with data
                tableBody.innerHTML = data.data.html;
                currentPage = page;
                currentPageDisplay.textContent = `Page ${currentPage}`;
                
                // Enable or disable pagination buttons
                nextPageButton.disabled = !data.data.html; // Disable Next if no data
                previousPageButton.disabled = currentPage === 1; // Disable Previous if on the first page
            } else {
                // If no data is found on this page, disable the "Next" button
                tableBody.innerHTML = '<tr><td colspan="4">No data available</td></tr>';
                nextPageButton.disabled = true;
                previousPageButton.disabled = currentPage === 1;
            }
        } catch (error) {
            console.error('Error loading page:', error);
            tableBody.innerHTML = '<tr><td colspan="4">Error loading data</td></tr>';
            nextPageButton.disabled = true;
            previousPageButton.disabled = currentPage === 1;
        }
    }

    // Event listeners for pagination buttons
    nextPageButton.addEventListener('click', () => loadPage(currentPage + 1));
    previousPageButton.addEventListener('click', () => loadPage(currentPage - 1));
});
